f



Installing patchset 9.2.0.8 on 9.2.0.1 error

The following running services need to be shutdown before continuing:

Automatic Updates
Background Intelligent Transfer Server
COM+ Event System
Cryptographic Services
DCOM Server Process Launcher
DHCP Client
DNS Client
Distributed Link Tracking Client
Error Reporting Service
Help and Support
Messenger
Network Connections
Network Location Awareness(NLA)
Remote Access Connection Manager
Remote Procedure Call (RPC)
Remote Registry
Secondary Logon
Server
Shell Hardware Detection
System Event Notification
System Restore Service
TCP/IP NetBIOS Helper
Task Scheduler
Telephony
Terminal Services
Themes
WebClient
Windows Audio
Windows Management Instrumentation
Windows Time
Wireless Zero Configuration
Workstation


What should I do, while installing patchset 9.2.0.8 on WINDOWS XP, I am
getting above error.

0
1/10/2007 10:22:06 AM
comp.databases.oracle.server 22978 articles. 1 followers. Post Follow

4 Replies
982 Views

Similar Articles

[PageSpeed] 48

"peter" <hhh.database@gmail.com> schreef in bericht 
news:1168424525.937552.232840@k58g2000hse.googlegroups.com...
> The following running services need to be shutdown before continuing:
>
> Automatic Updates
> Background Intelligent Transfer Server
> COM+ Event System
> Cryptographic Services
> DCOM Server Process Launcher
> DHCP Client
> DNS Client
> Distributed Link Tracking Client
> Error Reporting Service
> Help and Support
> Messenger
> Network Connections
> Network Location Awareness(NLA)
> Remote Access Connection Manager
> Remote Procedure Call (RPC)
> Remote Registry
> Secondary Logon
> Server
> Shell Hardware Detection
> System Event Notification
> System Restore Service
> TCP/IP NetBIOS Helper
> Task Scheduler
> Telephony
> Terminal Services
> Themes
> WebClient
> Windows Audio
> Windows Management Instrumentation
> Windows Time
> Wireless Zero Configuration
> Workstation
>
>
> What should I do, while installing patchset 9.2.0.8 on WINDOWS XP, I am
> getting above error.
>

Switch off your machine.... This can't be true, looks like some "base" 
MicroSoft DLL is going to be replaced....
Do you have the latest service pack on XP? Can you continue while ignoring 
this message?

Shakespeare
(What's in a service?) 


0
whatsin (688)
1/10/2007 10:42:45 AM
"What's in a namespace" <whatsin@xs4all.nl> schreef in bericht 
news:45a4c325$0$324$e4fe514c@news.xs4all.nl...
> <snippalot>
>>
>> What should I do, while installing patchset 9.2.0.8 on WINDOWS XP, I am
>> getting above error.
>>
>
> Switch off your machine.... This can't be true, looks like some "base" 
> MicroSoft DLL is going to be replaced....
> Do you have the latest service pack on XP? Can you continue while ignoring 
> this message?
>
> Shakespeare
> (What's in a service?)
>

On second thought: are you installing through Terminal Services? If so, try 
to run the patch on the console itself (or use WinVNC if allowed). Some 
installers can't work with TS.

Shakespeare 


0
whatsin (688)
1/10/2007 11:46:37 AM
We had this error 4 or 5 times last year, on windows XP, with SP2 or
not, the last time 2 months ago.
What we did to correct this problem is this :
1. Make note of the "path" variable
2. Put all oracle service in manual mode
3. Remove all entry in the "path" variable referencing Oracle product.
(ex
C:\oracle\ora92\bin;C:\oracle\ora92\jre\1.4.2\bin\client;C:\oracle\ora92\jre\1.4.2\bin;)

4. Restart the computer
5. Applied patch
6. Write back all oracle entry in the path variable, in the same order.
7. Place oracle service in automatic mode if they were.
..



peter wrote:
> The following running services need to be shutdown before continuing:
>
> Automatic Updates
> Background Intelligent Transfer Server
> COM+ Event System
> Cryptographic Services
> DCOM Server Process Launcher
> DHCP Client
> DNS Client
> Distributed Link Tracking Client
> Error Reporting Service
> Help and Support
> Messenger
> Network Connections
> Network Location Awareness(NLA)
> Remote Access Connection Manager
> Remote Procedure Call (RPC)
> Remote Registry
> Secondary Logon
> Server
> Shell Hardware Detection
> System Event Notification
> System Restore Service
> TCP/IP NetBIOS Helper
> Task Scheduler
> Telephony
> Terminal Services
> Themes
> WebClient
> Windows Audio
> Windows Management Instrumentation
> Windows Time
> Wireless Zero Configuration
> Workstation
>
>
> What should I do, while installing patchset 9.2.0.8 on WINDOWS XP, I am
> getting above error.

0
1/10/2007 12:09:02 PM
peter wrote:
> The following running services need to be shutdown before continuing:
>
> Automatic Updates
> Background Intelligent Transfer Server
> COM+ Event System
> Cryptographic Services
> DCOM Server Process Launcher
> DHCP Client
> DNS Client
> Distributed Link Tracking Client
> Error Reporting Service
> Help and Support
> Messenger
> Network Connections
> Network Location Awareness(NLA)
> Remote Access Connection Manager
> Remote Procedure Call (RPC)
> Remote Registry
> Secondary Logon
> Server
> Shell Hardware Detection
> System Event Notification
> System Restore Service
> TCP/IP NetBIOS Helper
> Task Scheduler
> Telephony
> Terminal Services
> Themes
> WebClient
> Windows Audio
> Windows Management Instrumentation
> Windows Time
> Wireless Zero Configuration
> Workstation
>
>
> What should I do, while installing patchset 9.2.0.8 on WINDOWS XP, I am
> getting above error.

You might want to do some searches against cdos ( can do via google
groups interface ) and see prior install problems people have reported
on windows.  Sometimes oracle dll's get picked up by other services.
You can use sys internals software to identify what process has a dll
loaded and kill them that way or you can remove the oracle executable
directory from you environment path while doing the software install.

0
johnbhurley (2707)
1/10/2007 12:10:48 PM
Reply:

Similar Artilces:

Oracle server 9.2.0.1.0, Client 9.2.0.4.0, Red Hat Linux enterprise advanced server 2.1
Hi Everybody, My Database server is running on Red Hat Linux enterprise advanced server 2.1, And my Oracle version is 9.2.0.1.0. My Client mechine also Red Hat Linux enterprise advanced server 2.1 , Oracle client version is 9.2.0.4.0. I am running a web application. Our application is in Magic edeveloper. I connect to Oracle using oracle gateway to my application. My Problem is my application is is becoming slow. I am not able to trace where the problem is. Before our application was running fine. recently i upgraded Oracle client version to 9.2.0.4.0. My Oracle client & server versi...

Install problems with Oracle installer 2.2 for Oracle 9i Client 9.2.0.1.0
Please forgive me if I am posting this in the wrong forum - I am an Oracle Newbie. Here are my computer specs : Windows 2003 - fully patch from Microsoft as of Sept 4th 2004 HP LP2000r 1 x 1,1 Gig Intel processor 1 GB RAM Hardware RAID 1, 12 GB with 8 GB freespace Clean install, no other programs. At first I tried running the Oracle installer program from the CD ROM and came up with the error that it could not find the javaw.exe program. I then tried installing and reinstalling several versions of java to no avail. Next I searched through groups.google and found the solution: 1. Copy t...

upgrade from oracle 9.2.0.1.0 to 9.2.0.5.0
Hi, I have a 9.2.0.1.0 database that I want to upgrade to 9.2.0.5. for window version 32 bits, does anyone can provide the node document information of step by step doing it. many thanks leehi leehi wrote: > I have a 9.2.0.1.0 database that I want to upgrade to 9.2.0.5. for > window version 32 bits, Windows NT4? W2k? W2K3? W2K3 - Release 2? Why stop ot 9.2.0.5? > does anyone can provide the node document information of step by step > doing it. leehi wrote: > Hi, > > I have a 9.2.0.1.0 database that I want to upgrade to 9.2.0.5. for > window v...

optimizer_features_enable difference between 9.2.0.1/9..2.0.3/9.2.0.6?
Hi, All, I noticed for this parameter optimizer_features_enable , oracle document says: Syntax OPTIMIZER_FEATURES_ENABLE = {8.0.0 | 8.0.3 | 8.0.4 | 8.0.5 | 8.0.6 | 8.0.7 | 8.1.0 | 8.1.3 | 8.1.4 | 8.1.5 | 8.1.6 | 8.1.7 | 9.0.0 | 9.0.1 | 9.2.0} I noticed when I keep it default to 9.2.0 in init.ora, in version 9.2.0.3 and 9.2.0.5 with exact same database and exact same init.ora, oracle CBO did choose different plan. So there is some difference between 9.2.0.X versioin for the CBO. Where can we get such information about the difference? Thanks On 12 Jul 2005 23:37:28 -0700, "ch...

Upgrade from Oracle 9.2.0.1 to Oracle 9.2.0.3
Hello All, I am trying to upgrade oracle 9.2.0.1 to new patchset 9.2.0.3 or 9.2.0.4. Please recommend which is better 9.2.0.3 or 9.2.0.4? Also I had a bad experience with my development server when applying 9.2.0.3 patchset. Is there anything you recommend before I start again? Thanks Kumu Hello Kumu, What is the reason for upgrade? Any specific bugs or issues you experience? You can open TAR as well to get support recommendations for your situation. New patches can introduce new problems as you can see, Regards, Ron DBA Infopower http://www.dbainfopower.com Standard di...

upgrate from 9.2.0.1.0 to 9.2.0.7.0
how to upgrade.... storm pixie wrote: > how to upgrade.... You grab the upgrade download and install it. Or you re-install from a complete base version. No rocket science, just follow the instructions. On 17 May 2006 17:55:59 -0700, "storm pixie" <amit.dba@gmail.com> wrote: >how to upgrade.... go to metalink download patch. find readme.html in the patch dowloaded follow test on non-production system first when it doubt, re-read the readme. ........ We run Oracle 9iR2,10gR1/2 on RH4/RH3 remove NSPAM to email Download patch or request a cd from oracle supp check the ...

Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms, Reports) on Fedora Core 1
I have installed Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms6i, Reports6i) on Fedora Core 1 the 8th November 2003. All is running OK. Denis ALEXANDRE Assistant Manager, Banque Saradar France http://www.alexnet.fr/ P.S. I am using Oracle and Unix to create an Integrated Banking System since 1987. This banking system is installed in more than 25 other banks. alex@alexnet.fr wrote: > I have installed > Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms6i, Reports6i) > on Fedora Core 1 > the 8th November 2003. All is running OK. > > Denis ALEXANDRE > Assistant Manager, Banque Saradar France > http://www.alexnet.fr/ > > P.S. I am using Oracle and Unix to create an Integrated Banking System since 1987. > This banking system is installed in more than 25 other banks. > > Great - after this coming out in the open, do you care to explain how you installed Portal Rel 1 in a 9.2 instance? -- Regards, Frank van Bortel Frank wrote: > alex@alexnet.fr wrote: > >> I have installed >> Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms6i, >> Reports6i) >> on Fedora Core 1 >> the 8th November 2003. All is running OK. >> >> Denis ALEXANDRE >> Assistant Manager, Banque Saradar France >> http://www.alexnet.fr/ >> >> P.S. I am using Oracle and Unix to create an Integrated Banking System >> since 1987. >...

help:How can i take Export of Oracle 9.2.0.1 from Oracle 9.2.0.7
How can i take Export of Oracle 9.2.0.1 from Oracle 9.2.0.7 1-what scripts are to be used 2-Where i can find these scripts. Thnks. You can't. You can use lower version export to export higher version database. The other way around has never been possible. -- Sybrand Bakker Senior Oracle DBA You probably have Oracle 9.2.0.1 running somewhere right, perhaps on another machine ? Set your ORACLE_HOME to 9.2.0.1 then export through sqlnet: exp username/pwd @9207instance Now you'll use the 9.2.0.1 export utility; this should work. "shahsyed" <shahsyed@gmail.co...

Linux: Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms, Reports) on Fedora Core 1
I have installed with Philippe ALEXANDRE on a laptop Oracle9i DB 9.2, Oracle9i DS 9.0.2, Oracle9i AS 1.0.2.2.1(Forms6i, Reports6i) on Fedora Core 1 the 8th November 2003. All is running OK. Denis ALEXANDRE Assistant Manager, Banque Saradar France http://www.alexnet.fr/ P.S. I am using Oracle and Unix to create an Integrated Banking System since 1987. This banking system is installed in more than 25 other banks. ...

int((9.2-9.0)*10) is 1, int((9.21-9.0)*10) is 2, why?
Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on win32 The following line of code describes an funny question・3校 >>> int((9.2-9.0)*10) 1 >>> int((9.21-9.0)*10) 2 >>> int((9.1-9.0)*10) 0 >>> int((9.11-9.0)*10) 1 >>> int((8.2-8.0)*10) 1 >>> int((8.23-8.0)*10) 2 why? anybody can explain it? On Sep 5, 11:12 pm, bcm <bluecrysta...@gmail.com> wrote: > Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit > (Intel)] on win32 > The following line of code describes an funny que...

Rere: cppunit 1.8.0
Hi Herard, I got exactly the same error when translating cppunit 1.9.10 with SuSE 9.0 and gcc 3.3.1 (I believe - I am here on a different system right now). I hoped it would run immediately, as usualy it does with ../configure, make, make install. I will investigate the problem this weekend. Cheers, Markus ...

Rere: cppunit 1.8.0
Hi Herard, I got exactly the same error when translating cppunit 1.9.10 with SuSE 9.0 and gcc 3.3.1 (I believe - I am here on a different system right now). I hoped it would run immediately, as usualy it does with ../configure, make, make install. I will investigate the problem this weekend. Cheers, Markus ...

Moving a single instance 9.2.0.7 database to a clustered 9.2.0.6 database environment #2
HI, I have the following situation: We have Veritas cluster setup , and there are 2 solaris servers on which VCS is set up. On this set up we have about 8 databases all of which are 9.2.0.6 version. Now we have one stand alone solaris server, and it has a 9.2.0.7 database. This database is for a third party application -Clear Case & Clear Quest. Now it is required to move the single instance database to clustered environment. Since in the clustered environment we have 9.2.0.6 version, is it AT ALL POSSIBLE to move this database, which is 9.2.0.7 to that enviroment? I guess not, and i...

Differences 9.2.0.1.0 to 9.2.0.5 with field types
We encounter following problem: Normally we are using 9.2.0.1.0 and we also have several views with union-statements. In these views the origing fields has been Integer type. We accepted that with creating of this views, the field types changed to float and we adjusted the end user program for that. Now a customer is using 9.2.0.5 and here the behaviour does not exists. The field type keeps Integer, And now we hve some problems again with the end user program. Of cause we have a solution in rewriting the view code, but we would like to test it on our side first. Therefore we checked...

Setting file permission error on Oracle 9.2 installation on RedHat 9.0 #2
Hi, On installing Oracle 9.2 on RedHat 9.0 and AS 2.1, I encounterd the same following error: Error in setting permissions on file/directory /opt/oracle/jre/1.1.8/LICENSE Could someone tell me why it happened and how to fix it? Your help is much appreciated. Thanks, Rob ...

9 (9.0.4) or 9.1 (9.2.2)?
I'm looking to upgrade from System 8.6 to 9 on my 7100/66, which has a Sonnet 266MHz upgrade card (and 104MB RAM). Some old posts I've seen say I can go up to 9.1 (which means 9.2.2 ultimately, unless there's a reason not to), but a couple other posts I've seen say 9.1 won't install on a 7100 (they don't mention upgrade cards though), so I'd have to stick with 9 (9.0.4). Can anyone tell me which is true (whether I should be looking for a 9 or 9.1 install CD on ebay, essentially)? Thank you. In article <oliverluNOSPAM-4219E8.11342630092003@news06.west.eart...

Oracle 9i (9.2.0.1.0) Install link errors
Greetings: I'm trying to install Oracle 9i Enterprise Server and Client on a 64 bit Solaris 8 machine. I encountering link errors as follows: Calling action unixActions2.2.0.6.0 make installMakePath = /usr/ccs/bin/make installMakeFileName = /opt/oracle/product/9.2.0.1.0/network/lib/ins_net_client.mk installTarget = ntcontab.o installArguments = ORACLE_HOME=/opt/oracle/product/9.2.0.1.0, undoMakeFileName = null undoTarget = null undoArguments = null logFile = /opt/oracle/product/9.2.0.1.0/install/make.log Exception thro...

Oracle database patchset 9.2.0.8 silent installation
Hi, I am trying to apply Oracle database patch 9.2.0.8 on top of our 9.2.0.5 . I have created response file and tried intallaing. But it gives the following error. Error:*** Alert: An Oracle Home with name OUIHome already exists at location /oravl01/oracle/9.2.0.5. Please specify another name for $ORACLE_HOME. *** Do I have to give new ORACLE_HOME for this..? Please suggest. Thanks, Krish On Aug 7, 5:36 pm, Krish <Krishna.Bu...@gmail.com> wrote: > Hi, > > I am trying to apply Oracle database patch 9.2.0.8 on top of our > 9.2.0.5 . > > I have created response fil...

Problems installing 10.2.0.2 patchset to a 10.2.0.1 database
I am trying to install the latest patchset to my 10gR2 database. When i double click on setup.exe nothing visable happens. The process is launched and according to Windows Task manager is taking up 50% of my CPU. The process just sits there spinning away and nothing happens. I have shutdown, using Service Control Manager, all Oracle services including databases, listeners and DBConsoles Any ideas? <kevin.aide@intergraph.com> schreef in bericht news:1159977988.501508.164590@b28g2000cwb.googlegroups.com... >I am trying to install the latest patchset to my 10gR2 database. When ...

oracle 9i release 2 ( 9.2.0.1.0 ) on AIX 5.2
Hi, is there some other sw required beside bos.adt.base, bos.adt.libm, bos.perf.perfstat and bos.perf.libperfstat for running oracle on AIX 5.2 ML5? Regards tomiskra@vodatel.net <tomiskra@vodatel.net> wrote: > is there some other sw required beside bos.adt.base, bos.adt.libm, > bos.perf.perfstat and bos.perf.libperfstat for running oracle on AIX > 5.2 ML5? If you have access to Oracle Metalink, you can find all the information in Note 282036.1, 'Minimum Software Versions and Patches Required to Support Oracle Products on IBM pSeries'. All I quote from here on is an...

Newbie: ORa 9.2.0.1 on Linux SUSE 8.2 Install causes Errors
Hi all, while Installing ORACLE 9.2.0.1 EE on a SUSE Linux 8.2 Env I had some strange errors: Can anyone give me hints working this around ? -error while make on ctx-cartridge install I'm using Glibc 2.3.2 should i apply some patches ? a part of the make.log **************************************************************************** **************** mv -f /opt/oracle/bin/ctxsrv /opt/oracle/bin/ctxsrvO mv ctxsrv /opt/oracle/bin/ctxsrv chmod 751 /opt/oracle/bin/ctxsrv gcc -o ctxhx -L/opt/oracle/ctx/lib/ -L/opt/oracle/lib/ -L/opt/oracle/lib/stubs/ /opt/oracle/ctx/lib/ctxhx.o -L/opt/oracle...

Connection from Oracle Developer Suite 10g 9.0.4.0.1 to Oracle DB 10g Release 10.1.0.2.0
Hi, I have installed Oracle DB 10g Release 10.1.0.2.0 on Windows XP. START->ALL PROGS->oracle-OraDb10g_home3 Location of TNSNAMES FILE: C:\oracle\product\10.1.0\db_3\NETWORK\ADMIN\TNSNAMES.ORA with two alias: 1)ORCL3 2) EXTPROC_CONNECTION_DATA I can logon to database via SQL*PLUS and I can log on to EM on the web as well using ORCL3. After that I installed Oracle Developer Suite 10g 9.0.4.0.1 to my the same computer. During installation it was not allowing me to install this suite to the same ORACLE home. I installed this in the following home: START->ALL PROGS->...

Oracle 9.2.0.1.0 on SuSE9.2?
Hi, I would like to install Oracle 9.2.0.1.0 on SuSE 9.2. Is this possible? Is there a good cookbook howto install oracle on Suse 9.2? I've tried the short way by simply creating a new user oracle and typing "runInstaller" but all I receive is <cut> oracle@bw009870:~> Initializing Java Virtual Machine from /tmp/OraInstall2005-03-22_08-37-52AM/jre/bin/java. Please wait... Error occurred during initialization of VM Unable to load native library: /tmp/OraInstall2005-03-22_08-37-52AM/jre/lib/i386/libjava.so: symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference </cut> regards Detlef -- Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/m2/ On Tue, 22 Mar 2005 08:58:16 +0100, Detlef Jockheck wrote: SuSE 9.2 is not certified, although people have made it work. A cookbook for the certified versions of SuSE is at http://www.novell.com/products/linuxenterpriseserver/oracle/matrix.html Read through those to get an idea of how to proceed. /FGB Detlef Jockheck wrote: > Hi, > > I would like to install Oracle 9.2.0.1.0 on SuSE 9.2. Is this possible? > Is there a good cookbook howto install oracle on Suse 9.2? I've tried > the short way by simply creating a new user oracle and typing > "runInstaller" but all I receive is > > <cut> > oracle@bw009870:~> Initializing Java Virtual M...

apply patch 9.2.0.6 on 9.2.0.1.
To apply patch 9.2.0.6 on 9.2.0.1. Do we have to apply all patches between them means 1st 9.2.0.2 then 9.2.0.3 then 9.2.0.4 then 9.2.0.5 and then 9.2.0.6. Or can I do it directly. on windows XP "aman.oracle.dba" <aman.oracle.dba@gmail.com> a crit dans le message de news: 1167974188.705052.140810@s34g2000cwa.googlegroups.com... | To apply patch 9.2.0.6 on 9.2.0.1. | Do we have to apply all patches between them means 1st 9.2.0.2 then | 9.2.0.3 then 9.2.0.4 then 9.2.0.5 and then 9.2.0.6. Or can I do it | directly. on windows XP | Each patch/patchset comes with a readme file....

Web resources about - Installing patchset 9.2.0.8 on 9.2.0.1 error - comp.databases.oracle.server

Help:Installing Japanese character sets - Wikipedia, the free encyclopedia
This help page will help you install Japanese character sets so that your computer will display them properly on the internet in your web browser ...

Earn Free Facebook Credits For Installing Apps Of Course, Theres A Catch
This looks pretty cool at first: Earn free Facebook Credits for installing applications on your iPhone or Android device. AppDog offers this ...

Rooting and installing Android 1.5 JesusFreke - Flickr - Photo Sharing!
More information at: android.noisepages.com/2009/05/rooting-pics/

Installing ClearCal Anti-Glare Film for Glossy Displays - YouTube
Demonstration of how to install a RadTech ClearCal Anti-Glare Film on a MacBook Pro. ClearCal eliminates glare on glossy displays like Apple's ...

Fatal unit fire: Builder Ray Finianos reduced height of building to avoid installing fire sprinklers ...
The builder of&nbsp;a south-west Sydney unit block where a young woman plunged to her death during a ferocious fire told a certifier to reduce ...

'Green' light bulb moment for councils installing LED street lights
Nine Sydney councils are getting ready to turn off the lights &ndash; 13,000 of them &ndash; to save more than $20 million.

Iran installing new nuclear equipment
Sky News is Australia's leader in 24-hour news. Iran has begun installing next-generation equipment at one of its main nuclear plants, a new ...

Peter Garrett believed installing insulation batts 'not that hard', royal commission told
Former environment minister Peter Garrett believed installing insulation batts was ''not that hard'' based on his own personal experience, an ...

Gillard defends installing Slipper
BBC News Gillard defends installing Slipper Sydney Morning Herald Prime Minister Julia Gillard has defended her decision to install Peter ...

CSIRO says installing solar panels on roofs of businesses could take pressure off the electricity grid ...
Installing more solar panels on the roofs of businesses would help Australia's energy grid cope with increased demand.

Resources last updated: 3/10/2016 1:36:10 AM